Subject: Re: [AVT] HI... abt RTP (shiva.chitta)

From: "Ingemar Johansson S" <[email-masked]>
Date: Sat, 3 Jan 2009 10:04:55 +0100

Hi

RFC1889 is obsoleted by RFC3550, I would recommend you to read the
latter instead. 
As regards to implementation I would recommend that you google for CCRTP
of pjsip. None of these implement RTCP fully but at least CCRTP is quite
simple to use, I have not looked into pjsip in detail and havent done
any implementations using it but it seems to have some sort of
jitterbuffer functionality  built in. In both implementations the SSRC
issue is solved for you.

The timestamp field is updated with the same rate as the sample rate of
the codec. For instance for an audio codec with 8000Hz sample rate the
time stamp is incremented by 160 for each 20ms block of speech that that
is encoded/transmitted.

For the synchronization stuff I recommend reading RFC3550, it does not
however give the full picture but some googling around will help.

Regards

/Ingemar

> 
> Message: 1
> Date: Fri, 2 Jan 2009 10:21:00 +0530
> From: "shiva.chitta" <[email-masked]>
> Subject: [AVT] HI... abt RTP
> To: <[email-masked]>
> Message-ID: <00fb01c96c95$b67d6d50$a564a8c0@shivakumar>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> Respected Sir,
> I am working on a VoIP project and we are implementing RTP 
> and RTCP protcols.
> For these protocols I have refered RFC 1889.
> 
> In RTP protocol header  there is one 32 bit field for "Timestamp".
> So I want to know what technique is used for calculating the 
> value of timestamp ?
> As it doesn't have any unit ,how do we relate it with time ?
> For the first packet the value of timestamp is any random value.
> How this value is decided ?
> The value of timestamp is also used to synchronize the RTP 
> clock at sender and receiver side.
> How it is done ?
> 
> In RTP header there is one more field "SSRC (Synchronization Source)"
> which is used to identify the source. How do we get the value 
> of SSRC ?
> 
> I will be very much grateful to you if I get the answers of 
> my queries and calrify my doubts.
> Waiting for a positive response from your side.
> Thanking You.
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: 
> <http://www.ietf.org/pipermail/avt/attachments/20090102/e68171
> da/attachment.html>
> 
> ------------------------------
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 
> 
> End of avt Digest, Vol 57, Issue 1
> **********************************
> 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt